# REST API

*(Detailed documentation:* [*https://developer.algolytics.pl/api-details#api=scoring-one-rest-api-documentation*](<https://developer.algolytics.pl/api-details#api=scoring-one-rest-api-documentation&#xD;&#xA;>)*)*

[ <br>](<https://developer.algolytics.pl/api-details#api=scoring-one-rest-api-documentation&#xD;&#xA;>)Authorization through API keys.

All operations possible in the engine are available from the REST API level. Individual scenarios or ML models can be called by API. This enables the control of the core configuration by external applications. Operations are executed directly on the engine's calculation units. Available API methods:

* Creating, deleting accounts
* Adding, removing scoring models
* Adding, deleting decision scenarios
* Downloading model definitions and decision scenarios
* Adding, loading and deleting data from internal databases
* Retrieving engine configuration information (list of scenarios, models, data in internal databases)

The most commonly used API endpoints are for executing scenarios and models.

API endpoint structures:

* for scenario:
  * https\://<mark style="color:$success;">\<SERVER ADDRESS></mark><mark style="color:orange;">/api/scenario/code/remote/score</mark>?<mark style="color:purple;">name=\<SCENARIO NAME></mark>&<mark style="color:yellow;">key=\<AUTH KEY</mark>>
* for model:
  * https\://<mark style="color:$success;">\<SERVER ADDRESS></mark><mark style="color:orange;">/api/scoring/code/remote/score</mark>?<mark style="color:purple;">name=\<SCENARIO NAME></mark>&<mark style="color:yellow;">key=\<AUTH KEY></mark>

Authentication key can be obtained in the main menu in [User settings](/algolytics/scoring.one-platform/sidebar-menu-overview.md#user-settings) section. Note that you need to copy a value of a <kbd>Score Token</kbd> not an <kbd>Authentication Token</kbd> .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://algolytics-technologies.gitbook.io/algolytics/scoring.one-platform/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
